Bug 1258503 - regression in dnf, requires network access for history
regression in dnf, requires network access for history
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 10:01 EDT by Simo Sorce
Modified: 2016-03-26 13:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-1.1.7-2.fc23 dnf-1.1.7-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 13:58:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2015-08-31 10:01:25 EDT
Description of problem:

dnf requires access to the network to update repo data when all I am asking is 'dnf history'


Version-Release number of selected component (if applicable):


How reproducible:
always when repo data is not up to date

Steps to Reproduce:
1. keep machine turned off for a while
2. dnf history
3. ... no profit

Actual results:
dnf history takes forever as it tries a full repo update and I am on a slow link/mirror

Expected results:
dnf history should return results immediately as all the data is already on the machine

Additional info:
This is a regression, yum history never required working network access, on this machine I also had DNS issues so dnf initially simply threw an error and didn't show the history at all.
Once DNS was fixed it started downloading a tron of unnecessary data.
Comment 1 Honza Silhan 2015-09-01 08:56:45 EDT
The available_repos demand should be set for history undo/redo only.
Comment 2 Fedora Update System 2016-02-25 08:53:30 EST
dnf-plugins-core-0.1.17-1.fc23 dnf-1.1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 3 Fedora Update System 2016-02-25 08:56:24 EST
dnf-plugins-core-0.1.17-1.fc22 dnf-1.1.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 4 Fedora Update System 2016-03-09 12:19:47 EST
dnf-1.1.7-2.fc23 dnf-plugins-core-0.1.17-1.fc23 libsolv-0.6.19-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 5 Fedora Update System 2016-03-09 12:21:36 EST
dnf-1.1.7-2.fc22 dnf-plugins-core-0.1.17-1.fc22 libsolv-0.6.19-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 6 Fedora Update System 2016-03-10 11:53:00 EST
dnf-1.1.7-2.fc22, dnf-plugins-core-0.1.17-1.fc22, libsolv-0.6.19-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 7 Fedora Update System 2016-03-10 11:54:34 EST
dnf-1.1.7-2.fc23, dnf-plugins-core-0.1.17-1.fc23, libsolv-0.6.19-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 8 Fedora Update System 2016-03-13 19:54:59 EDT
dnf-1.1.7-2.fc23, dnf-plugins-core-0.1.17-1.fc23, libsolv-0.6.19-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-19 08:16:07 EDT
dnf-1.1.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c030d24231
Comment 10 Fedora Update System 2016-03-19 23:57:56 EDT
dnf-1.1.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c030d24231
Comment 11 Fedora Update System 2016-03-26 13:57:46 EDT
dnf-1.1.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.